Method: folders.assets.updateSecurityMarks

Updates security marks. For Finding Security marks, if no location is specified, finding is assumed to be in global. Assets Security Marks can only be accessed through global endpoint.

IAM Permissions

Requires one of the following IAM permissions on the resource specified in the securityMarks.name field (depending on the resource type):

  • securitycenter.assetsecuritymarks.update
  • securitycenter.findingsecuritymarks.update

HTTP request


PATCH https://securitycenter.googleapis.com/v2/{securityMarks.name=folders/*/assets/*/securityMarks}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
securityMarks.name

string

The relative resource name of the SecurityMarks. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name The following list shows some examples:

  • organizations/{organizationId}/assets/{asset_id}/securityMarks + organizations/{organizationId}/sources/{source_id}/findings/{findingId}/securityMarks + organizations/{organizationId}/sources/{source_id}/locations/{location}/findings/{findingId}/securityMarks

Query parameters

Parameters
updateMask

string (FieldMask format)

The FieldMask to use when updating the security marks resource.

The field mask must not contain duplicate fields. If empty or set to "marks", all marks will be replaced. Individual marks can be updated using "marks.".

Request body

The request body contains an instance of SecurityMarks.

Response body

If successful, the response body contains an instance of SecurityMarks.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/securitycenter

For more information, see the Authentication Overview.